<!--
@license
Copyright (c) 2016 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->

<link rel="import" href="../bower_components/polymer/polymer-element.html">

<dom-module id="my-view404">
  <template>
    <style>
      :host {
        display: block;

        padding: 10px 20px;
      }
    </style>

    There's nothing you here maybe you in the wrong place? <a href="[[rootPath]]">Head back to home.</a>
  </template>

  <script>
    class MyView404 extends Polymer.Element {
      static get is() { return 'my-view404'; }
      static get properties() {
        return {
          // This shouldn't be neccessary, but the Analyzer isn't picking up
          // Polymer.Element#rootPath
          rootPath: String,
        };
      }
    }

    window.customElements.define(MyView404.is, MyView404);
  </script>
</dom-module>
